#include <iostream>
#include <vector>
#include <stdio.h>
#include <stdlib.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    vector<long> v;

    for(int i = 0; i < n; i++){
        long num;
        cin >> num;
        v.push_back(num);
    }

    /*for(int i = 0; i < v.size(); i++){
        printf("%d", v[i]);
    }*/

    vector<int> temp;
    int counter = 0;
    int cur_result = 0;
    for(int i = 0; i < v.size()-1; i++){
            cur_result *= v[i];
        for(int j = i+1; j < v.size(); j++){
            cur_result *= v[j];
            if (cur_result % 2 == 0) counter++;
        }
            cur_result = 0;
    }
    printf("%d", counter);
}
